summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorandroid-build-team Robot <android-build-team-robot@google.com>2018-07-11 03:14:29 +0000
committerandroid-build-team Robot <android-build-team-robot@google.com>2018-07-11 03:14:29 +0000
commitacbad295eb6c0d739a8b340c5a4070a961442439 (patch)
tree530797e4823d92c6bd3b947309d8cb2eadbf56ac
parentdaf5fd599d02bed1442f488a879471837770cd9b (diff)
parent20e35d3569a0646dceb105ccc66524d969887759 (diff)
downloadcommon-pie-dr1-release.tar.gz
Snap for 4885249 from 20e35d3569a0646dceb105ccc66524d969887759 to pi-dr1-releaseandroid-9.0.0_r12android-9.0.0_r11pie-dr1-release
Change-Id: Ib1b8abb0a11f4ca20f8a8fda06611e11b6d3f522
-rw-r--r--generate-factory-images-common.sh8
-rwxr-xr-xgenerate-packages.sh12
2 files changed, 15 insertions, 5 deletions
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index a2d81ca..fdcb442 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,8 +101,8 @@ cat > tmp/$PRODUCT-$VERSION/flash-all.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! grep -q dtbo.sig \$(which fastboot); then
- echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+ echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi
EOF
@@ -258,8 +258,8 @@ cat > tmp/$PRODUCT-$VERSION/flash-base.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! grep -q dtbo.sig \$(which fastboot); then
- echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+ echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi
EOF
diff --git a/generate-packages.sh b/generate-packages.sh
index 5b18aa6..2f3e9c3 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -42,7 +42,7 @@ do
FILEDIR_ROOT=tmp/vendor/$MANUFACTURER/$ROOTDEVICE
case ${ROOTDEVICE} in
- dragon|marlin|sailfish|taimen|walleye)
+ dragon|marlin|sailfish|taimen|walleye|crosshatch|blueline)
FILEDIR_ROOT=tmp/vendor/${MANUFACTURER}_devices/$ROOTDEVICE ;;
hikey960)
FILEDIR=tmp/vendor/linaro/$DEVICE/$COMPANY/proprietary
@@ -166,6 +166,16 @@ do
# Move device-vendor-walleye.mk under muskie directory so that it can be
# inherited by device/google/muskie/aosp_walleye.mk
mv ${FILEDIR_ROOT}/proprietary/device-vendor-walleye.mk ${FILEDIR_ROOT_SHARE}
+ elif [[ ${ROOTDEVICE} == blueline ]]
+ then
+ FILEDIR_ROOT_SHARE=tmp/vendor/${MANUFACTURER}_devices/crosshatch/proprietary
+ mkdir -p ${FILEDIR_ROOT_SHARE}
+
+ # blueline shares BoardConfigVendor.mk with its neph' crosshatch
+ mv ${FILEDIR_ROOT}/proprietary/BoardConfigVendor.mk ${FILEDIR_ROOT_SHARE}
+ # Move device-vendor-blueline.mk under crosshatch directory so that it can
+ # be inherited by device/google/crosshatch/aosp_blueline.mk
+ mv ${FILEDIR_ROOT}/proprietary/device-vendor.mk ${FILEDIR_ROOT_SHARE}
fi
echo \ \ Generating self-extracting script